#pragma once
#include <map>
struct M_AiBeiWhiteNameListData
{
	//ÐòºÅ
	int mID;
	//Íæ¼ÒID
	std::string mPlayerId;
};

class M_AiBeiWhiteNameList
{
public:
private:
	static std::auto_ptr<M_AiBeiWhiteNameList> msSingleton;
public:
	int GetCount();
	const M_AiBeiWhiteNameListData* GetData(int ID);
	const std::map<int, M_AiBeiWhiteNameListData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_AiBeiWhiteNameList* GetSingleton();
	static void Release();
private:
	std::map<int, M_AiBeiWhiteNameListData> mMapData;
};
